tbb::internal::task_info Struct Reference

This structure is used to store task information in a input buffer. More...

Inheritance diagram for tbb::internal::task_info:
Collaboration diagram for tbb::internal::task_info:

## Public Member Functions

void | reset ()
| Set to initial state (no object, no token) More...

## Public Attributes

void * | my_object
Token | my_token
| Invalid unless a task went through an ordered stage. More...
bool | my_token_ready
| False until my_token is set. More...
bool | is_valid
| True if my_object is valid. More...

## Detailed Description

This structure is used to store task information in a input buffer.

Definition at line 30 of file pipeline.cpp.

## Member Function Documentation

## reset()

void tbb::internal::task_info::reset | ( |  | ) |

inline

Set to initial state (no object, no token)

Definition at line 39 of file pipeline.cpp.

{
my_object = NULL;
my_token = 0;
my_token_ready = false;
is_valid = false;
}
tbb::internal::task_info::my_token
Token my_token
Invalid unless a task went through an ordered stage.
Definition: pipeline.cpp:33
tbb::internal::task_info::is_valid
bool is_valid
True if my_object is valid.
Definition: pipeline.cpp:37
tbb::internal::task_info::my_token_ready
bool my_token_ready
False until my_token is set.
Definition: pipeline.cpp:35
tbb::internal::task_info::my_object
void * my_object
Definition: pipeline.cpp:31

References is_valid, my_object, my_token, and my_token_ready.

Referenced by tbb::internal::pipeline_root_task::execute(), tbb::thread_bound_filter::internal_process_item(), tbb::internal::input_buffer::note_done(), tbb::internal::stage_task::reset(), and tbb::internal::stage_task::stage_task().

Here is the caller graph for this function:

## Member Data Documentation

## is_valid

bool tbb::internal::task_info::is_valid

True if my_object is valid.

Definition at line 37 of file pipeline.cpp.

Referenced by tbb::internal::input_buffer::note_done(), tbb::internal::input_buffer::put_token(), reset(), and tbb::internal::input_buffer::return_item().

## my_object

void* tbb::internal::task_info::my_object

Definition at line 31 of file pipeline.cpp.

Referenced by tbb::internal::stage_task::execute(), tbb::thread_bound_filter::internal_process_item(), and reset().

## my_token

Token tbb::internal::task_info::my_token

Invalid unless a task went through an ordered stage.

Definition at line 33 of file pipeline.cpp.

Referenced by tbb::internal::stage_task::execute(), tbb::thread_bound_filter::internal_process_item(), tbb::internal::input_buffer::put_token(), and reset().

## my_token_ready

bool tbb::internal::task_info::my_token_ready

False until my_token is set.

Definition at line 35 of file pipeline.cpp.

Referenced by tbb::internal::stage_task::execute(), tbb::thread_bound_filter::internal_process_item(), tbb::internal::input_buffer::put_token(), and reset().

The documentation for this struct was generated from the following file:

- pipeline.cpp

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.